import request from '@/utils/request'

// 查询目标录入列表
export function listTargetlist(query) {
  return request({
    url: '/plant/targetlist/list',
    method: 'get',
    params: query
  })
}

// 查询目标录入列表(目标措施）
export function listMeasures(query) {
  return request({
    url: '/plant/targetlist/listMeasures',
    method: 'get',
    params: query
  })
}

// 查询目标措施内容列表
export function getAllContent(query) {
  return request({
    url: '/plant/targetlist/getAllContent',
    method: 'get',
    params: query
  })
}
// 查询判定标准列表
export function getAllMeasures(query) {
  return request({
    url: '/plant/targetlist/getAllMeasures',
    method: 'get',
    params: query
  })
}

// 查询目标录入详细
export function getTargetlist(id) {
  return request({
    url: '/plant/targetlist/' + id,
    method: 'get'
  })
}

// 新增目标录入
export function addTargetlist(data) {
  return request({
    url: '/plant/targetlist',
    method: 'post',
    data: data
  })
}

// 修改目标录入
export function updateTargetlist(data) {
  return request({
    url: '/plant/targetlist',
    method: 'put',
    data: data
  })
}

// 删除目标录入
export function delTargetlist(id) {
  return request({
    url: '/plant/targetlist/' + id,
    method: 'delete'
  })
}

// 导出目标录入
export function exportTargetlist(query) {
  return request({
    url: '/plant/targetlist/export',
    method: 'get',
    params: query
  })
}
